package com.ruoyi.cai.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.cai.domain.Account;
import com.ruoyi.cai.domain.CaiConsumeLog;
import com.ruoyi.cai.dto.admin.vo.AccountAdminVo;
import com.ruoyi.common.core.domain.PageQuery;

/**
 * 用户账户Service接口
 *
 * @author 77
 * @date 2023-12-23
 */
public interface AccountService extends IService<Account> {

    Account getByUserId(Long userId);

    CaiConsumeLog decr(CaiConsumeLog log);

    void withdraw(Long userId, Long incomeCoin);

    Page<AccountAdminVo> pageAdmin(PageQuery pageQuery, AccountAdminVo bo);
}
